(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('ngx-bootstrap/modal')) :
    typeof define === 'function' && define.amd ? define('a365dynamic-modal', ['exports', '@angular/core', '@angular/common', 'ngx-bootstrap/modal'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['a365dynamic-modal'] = {}, global.ng.core, global.ng.common, global['ngx-bootstrap/modal']));
}(this, (function (exports, i0, common, i1) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);

    var DynamicModalComponent = /** @class */ (function () {
        function DynamicModalComponent(bsModalRef) {
            this.bsModalRef = bsModalRef;
            this.list = [];
        }
        DynamicModalComponent.prototype.ngOnInit = function () {
            console.warn(this.title);
            this.list.push('PROFIT!!!');
        };
        return DynamicModalComponent;
    }());
    DynamicModalComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'app-dynamic-modal',
                    template: "<div class=\"modal-header\">\n    <h4 class=\"modal-title pull-left\">{{title}}</h4>\n    <button type=\"button\" class=\"close pull-right\" aria-label=\"Close\" (click)=\"bsModalRef.hide()\">\n        <span aria-hidden=\"true\">&times;</span>\n    </button>\n</div>\n<div class=\"modal-body\">\n    <ul *ngIf=\"list.length\">\n        <li *ngFor=\"let item of list\">{{item}}</li>\n    </ul>\n</div>\n<div class=\"modal-footer\">\n    <button type=\"button\" class=\"btn btn-default\" (click)=\"bsModalRef.hide()\">{{closeBtnName}}</button>\n</div>",
                    styles: [""]
                },] }
    ];
    DynamicModalComponent.ctorParameters = function () { return [
        { type: i1.BsModalRef }
    ]; };

    var DynamicModalService = /** @class */ (function () {
        function DynamicModalService(modalService) {
            this.modalService = modalService;
        }
        DynamicModalService.prototype.openModalWithComponent = function (params) {
            var bsConfig = {
                animated: true,
                keyboard: false,
                background: true,
                ignoreBackdropClick: true
            };
            var initialState = {
                title: '123',
                body: 'boet',
                closeBtn: true
            };
            // this.bsModalRef.content.closeBtnName = '';
            this.bsModalRef = this.modalService.show(DynamicModalComponent, Object.assign(bsConfig, { class: 'modal-dialog-centered' }, { initialState: initialState }));
            // Object.assign(bsConfig, { class: 'modal-dialog-centered' }, { initialState }));
            // this.bsModalRef.content.closeBtnName = 'Close';
        };
        return DynamicModalService;
    }());
    DynamicModalService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function DynamicModalService_Factory() { return new DynamicModalService(i0__namespace.ɵɵinject(i1__namespace.BsModalService)); }, token: DynamicModalService, providedIn: "root" });
    DynamicModalService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    DynamicModalService.ctorParameters = function () { return [
        { type: i1.BsModalService }
    ]; };

    var DynamicModalModule = /** @class */ (function () {
        function DynamicModalModule() {
        }
        DynamicModalModule.forRoot = function () {
            return {
                ngModule: DynamicModalModule,
                providers: [
                    DynamicModalService
                ]
            };
        };
        return DynamicModalModule;
    }());
    DynamicModalModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        DynamicModalComponent
                    ],
                    exports: [
                        DynamicModalComponent
                    ],
                    imports: [
                        common.CommonModule,
                        i1.ModalModule.forRoot()
                    ],
                    providers: [
                        DynamicModalService
                    ]
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.DynamicModalComponent = DynamicModalComponent;
    exports.DynamicModalModule = DynamicModalModule;
    exports.DynamicModalService = DynamicModalService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=a365dynamic-modal.umd.js.map
